# Command: regex_replace

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    regex_replace - replace all occurences of a regex

Synopsis:

    string string istreamtype ostreamtype ->	-
      regex  string istreamtype ostreamtype ->	-
      string string string -> string
      regex  string string -> string

Examples:

Description:

    regex_replace tries to match the regex in
      istream/string.  Any occurence of regex is replaced by
      the given string.

Parameters:

    in: first argument  : a regex generated by regcomp
      OR a string which will be converted
      to a regex by a regcomp call.
      second argument : the string with which regex should
      be replaced.
      third argument  : an istream or a string where this
      regex should be matched.
      fourth argument (if any): an ostream where the changes
      are saved.
      out: either a string or, if called with streams, the
      ostream will now contain replaced stream.

Bugs:

Diagnostics:

    if called with a string as first argument, will raise an
      /InvalidRegexError if regcomp fails to compile a regex.

Remarks:

Author:

    Hehl

FirstVersion:

    4.10.99

SeeAlso:

- regexec
- regcomp
- regex_find

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/lib/sli/regexp.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative